#
# spec file for package python-feedparser (Version 4.1)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define modname feedparser

Name:           python-feedparser
Version:        4.1
Release:        2.1
Summary:        Universal Feed Parser Module for Python
Url:            http://sourceforge.net/projects/feedparser/
License:        BSD
Group:          Development/Libraries/Python
Source:         %{modname}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{py_requires}
BuildRequires:  python-devel python-setuptools
Requires:       python-setuptools
%if %{?suse_version: %{suse_version} > 1110} %{!?suse_version:1}
BuildArch:      noarch
%endif

%description
A universal feed parser module for Python that handles RSS 0.9x, RSS 1.0, RSS
2.0, CDF, Atom 0.3, Atom 1.0 feeds.

Authors:
--------
    Mark Pilgrim <mark@diveintomark.org>

%prep
%setup -q -n %{modname}-%{version}
chmod 0644 README

%build
export CFLAGS="$RPM_OPT_FLAGS"
python setup.py build

%install
python setup.py install --single-version-externally-managed --prefix=%{_prefix} --root=$RPM_BUILD_ROOT --record-rpm=INSTALLED_FILES

%clean
rm -rf %{buildroot}

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc README

%changelog
* Thu Sep  3 2009 matejcik@suse.cz
- build as noarch
- import from OBS, original changelog follows:
* Sun Feb 15 2009 James Oakley <jfunk@funktronics.ca> - 4.1-1
- initial release
